Subject: Re: [PATCH proposal] Re: Setup use on win2k - a me too ...
From: Robert Collins <[email-masked]>
To: Pavel Tsekov <[email-masked]>
Cc: [email-masked]
Date: 07 Nov 2001 00:11:06 +1100

On Wed, 2001-11-07 at 00:04, Pavel Tsekov wrote:
> Btw what is done in state.cc is a bad habbit, IMO.

Yes. It's C style, not CPP style. 

I'll approve this if you do a patch and Changelog.

NULL for everything is correct - source should be 0, as should
net_method etc. the current code has checks for 0/NULL, but not for
random values :].

And trust_level should be deleted if not used. 

Rob
> I would suggest the following simple changes to be
> done ... 
> 
> There is no changelog since i'm not sure if this
> will be approved and also I'm not sure what
> defaults should be assigned to the root_* set
> of variables.
> 
> 

> /*
>  * Copyright (c) 2000, Red Hat, Inc.
>  *
>  *     This program is free software; you can redistribute it and/or modify
>  *     it under the terms of the GNU General Public License as published by
>  *     the Free Software Foundation; either version 2 of the License, or
>  *     (at your option) any later version.
>  *
>  *     A copy of the GNU General Public License can be found at
>  *     http://www.gnu.org/
>  *
>  * Written by DJ Delorie <[email-masked]>
>  *
>  */
> 
> /* All we do here is instantiate the extern'd variables from state.h */
> 
> static char *cvsid = "\n%%% $Id: state.cc,v 2.0 2000/08/08 00:59:08 dj Exp $\n";
> 
> #include "state.h"
> #inlcude "resource.h"
> 
> int      source = IDC_SOURCE_NETINST;
> 
> char *   local_dir = NULL;
> 
> int      root_text;
> int      root_scope;
> int      root_menu;
> int      root_desktop;
> 
> int      net_method = IDC_NET_DIRECT;
> char *   net_proxy_host = NULL;
> int      net_proxy_port = 80;
> 
> char *   net_user = NULL;
> char *   net_passwd = NULL;
> char *   net_proxy_user = NULL;
> char *   net_proxy_passwd = NULL;
> char *   net_ftp_user = NULL;
> char *   net_ftp_passwd = NULL;
> 
> char *   mirror_site = NULL;
> char *   other_url = NULL;
> 
> int      trust_level = 0; // This variable is not used anywhere atm.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/